List event types
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/webhooks/event-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/webhooks/event-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/webhooks/event-types';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"type": "call.completed",
"label": "Call completed",
"group": "call",
"description": "The call ended normally. Analysis and post-call actions may still be running.",
"schema": {
"type": "object"
},
"example": {
"id": "evt_01K9V2E6G8J0M2P4R6T8W0Y2A4",
"type": "call.completed",
"created_at": "2026-10-10T06:30:12.481Z",
"schema_version": "2026-09-22",
"workspace_id": "ws_example",
"subject": {
"type": "call",
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1"
},
"source_id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1:processing:1",
"test": true,
"data": {
"call": {
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1",
"agent_id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"status": "completed"
},
"processing": {
"version": 1,
"state": "completed",
"outcome": "completed",
"stages": {
"analysis": {
"state": "completed",
"generation": 1
},
"recording": {
"state": "completed",
"generation": 1
},
"transcript": {
"state": "completed",
"generation": 1
},
"post_call_tools": {
"state": "skipped",
"generation": 1
}
}
}
}
}
},
{
"type": "call.processing.completed",
"label": "All processing finished",
"group": "processing",
"description": "Recording, transcript, analysis and post-call actions have all finished, including any failures.",
"schema": {
"type": "object"
},
"example": {
"id": "evt_01K9V2E6G8J0M2P4R6T8W0Y2A4",
"type": "call.processing.completed",
"created_at": "2026-10-10T06:30:12.481Z",
"schema_version": "2026-09-22",
"workspace_id": "ws_example",
"subject": {
"type": "call",
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1"
},
"source_id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1:processing:1",
"test": true,
"data": {
"call": {
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1",
"agent_id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"status": "completed"
},
"processing": {
"version": 1,
"state": "completed",
"outcome": "completed",
"stages": {
"analysis": {
"state": "completed",
"generation": 1
},
"recording": {
"state": "completed",
"generation": 1
},
"transcript": {
"state": "completed",
"generation": 1
},
"post_call_tools": {
"state": "skipped",
"generation": 1
}
}
}
}
}
}
],
"has_more": false
}{
"error": {
"code": "not_found",
"message": "Webhooks are not available on this workspace yet."
}
}Webhooks
List event types
Every event you can subscribe to, in display order, with its group, a plain description, its JSON schema and a sample payload.
GET
/
v2
/
webhooks
/
event-types
List event types
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/webhooks/event-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/webhooks/event-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/webhooks/event-types';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"type": "call.completed",
"label": "Call completed",
"group": "call",
"description": "The call ended normally. Analysis and post-call actions may still be running.",
"schema": {
"type": "object"
},
"example": {
"id": "evt_01K9V2E6G8J0M2P4R6T8W0Y2A4",
"type": "call.completed",
"created_at": "2026-10-10T06:30:12.481Z",
"schema_version": "2026-09-22",
"workspace_id": "ws_example",
"subject": {
"type": "call",
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1"
},
"source_id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1:processing:1",
"test": true,
"data": {
"call": {
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1",
"agent_id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"status": "completed"
},
"processing": {
"version": 1,
"state": "completed",
"outcome": "completed",
"stages": {
"analysis": {
"state": "completed",
"generation": 1
},
"recording": {
"state": "completed",
"generation": 1
},
"transcript": {
"state": "completed",
"generation": 1
},
"post_call_tools": {
"state": "skipped",
"generation": 1
}
}
}
}
}
},
{
"type": "call.processing.completed",
"label": "All processing finished",
"group": "processing",
"description": "Recording, transcript, analysis and post-call actions have all finished, including any failures.",
"schema": {
"type": "object"
},
"example": {
"id": "evt_01K9V2E6G8J0M2P4R6T8W0Y2A4",
"type": "call.processing.completed",
"created_at": "2026-10-10T06:30:12.481Z",
"schema_version": "2026-09-22",
"workspace_id": "ws_example",
"subject": {
"type": "call",
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1"
},
"source_id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1:processing:1",
"test": true,
"data": {
"call": {
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1",
"agent_id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"status": "completed"
},
"processing": {
"version": 1,
"state": "completed",
"outcome": "completed",
"stages": {
"analysis": {
"state": "completed",
"generation": 1
},
"recording": {
"state": "completed",
"generation": 1
},
"transcript": {
"state": "completed",
"generation": 1
},
"post_call_tools": {
"state": "skipped",
"generation": 1
}
}
}
}
}
}
],
"has_more": false
}{
"error": {
"code": "not_found",
"message": "Webhooks are not available on this workspace yet."
}
}Authorizations
Your workspace secret key, sk_live_ followed by 32 hex characters. Create one in the console under Developers.
⌘I